### commits

`b1cc38b1bb01514b46c3dff90f8c82817e05cca1` ✅

<details>
  <summary>
  `2d64b1397d67568acf32d138cc1e4e5018903836` ❌
  </summary>

```console
/usr/sbin/g++ -DALBERTA_DIM=3 -DENABLE_ALBERTA=1 -DENABLE_MPI=1 -DHAVE_CONFIG_H -DModelP -Ddunealbertagrid3d_EXPORTS -I/tmp/makepkg/dune-grid-git/src/build-cmake -I/tmp/makepkg/dune-grid-git/src/dune-grid -std=c++17 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -fPIC -pthread -std=gnu++17 -MD -MT CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o -MF CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o.d -o CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o -c /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:135: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:135: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:93: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:93: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:121: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:93: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:135: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:121: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:121: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:107: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:107: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:79: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:79: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2288: CMakeFiles/dunealbertagrid1d.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:107: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2314: CMakeFiles/dunealbertagrid2d.dir/all] Error 2
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:79: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2340: CMakeFiles/dunealbertagrid3d.dir/all] Error 2
make[1]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
```

</details>

<details>
  <summary>
  `e0d1048eea10a06dd49ad095c3240b15313f1ba2` ❌
  </summary>

```console
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:135: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:135: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:121: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:93: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:135: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:93: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:121: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:121: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:93: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:107: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:79: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:79: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2314: CMakeFiles/dunealbertagrid2d.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:107: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2288: CMakeFiles/dunealbertagrid1d.dir/all] Error 2
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:107: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:79: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2340: CMakeFiles/dunealbertagrid3d.dir/all] Error 2
make[1]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
```

</details>

<details>
  <summary>
  `12cc4a9ed674dc94a32136237d39e4c803c51756` ❌
  </summary>

```console
[ 85%] Building CXX object CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o
/usr/sbin/g++ -DALBERTA_DIM=3 -DENABLE_ALBERTA=1 -DENABLE_MPI=1 -DHAVE_CONFIG_H -DModelP -Ddunealbertagrid3d_EXPORTS -I/tmp/makepkg/dune-grid-git/src/build-cmake -I/tmp/makepkg/dune-grid-git/src/dune-grid -std=c++17 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -fPIC -pthread -std=gnu++17 -MD -MT CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o -MF CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o.d -o CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o -c /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:135: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:93: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:93: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:93: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:135: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:121: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:121: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:135: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:121: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:107: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:107: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:107: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:79: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2340: CMakeFiles/dunealbertagrid3d.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:79: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2314: CMakeFiles/dunealbertagrid2d.dir/all] Error 2
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:79: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2288: CMakeFiles/dunealbertagrid1d.dir/all] Error 2
make[1]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
```

</details>

`9f3af0bd90b1f96495908b2d6cef8da5c314fb83` ✅

<details>
  <summary>
  `727b0aaef33a801ebb108c1db07d181439a087df` ❌
  </summary>

```console
/usr/sbin/g++ -DALBERTA_DIM=1 -DENABLE_ALBERTA=1 -DENABLE_MPI=1 -DHAVE_CONFIG_H -DModelP -Ddunealbertagrid1d_EXPORTS -I/tmp/makepkg/dune-grid-git/src/build-cmake -I/tmp/makepkg/dune-grid-git/src/dune-grid -std=c++17 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -fPIC -pthread -std=gnu++17 -MD -MT CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o -MF CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o.d -o CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o -c /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:135: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:93: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:93: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:135: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:93: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:121: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:121: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:121: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:107: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:107: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:107: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:135: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:79: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2288: CMakeFiles/dunealbertagrid1d.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:79: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2314: CMakeFiles/dunealbertagrid2d.dir/all] Error 2
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:79: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2340: CMakeFiles/dunealbertagrid3d.dir/all] Error 2
make[1]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
```

`e1cab4c610d8253b849815ac638954c3148ad084` ✅

`ad0903d9fc88d023d5e68f09929a0a63d2e08dd3` ✅

`de6d375de6d37547201d80ad77d96e2940dee9ebc0c7987` ✅

<details>
  <summary>
  `369bb16423fdbe12c66bc843a30921b8a16cc9ee` ❌
  </summary>

```console
[ 85%] Building CXX object CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o
/usr/sbin/g++ -DALBERTA_DIM=3 -DENABLE_ALBERTA=1 -DENABLE_MPI=1 -DHAVE_CONFIG_H -DModelP -Ddunealbertagrid3d_EXPORTS -I/tmp/makepkg/dune-grid-git/src/build-cmake -I/tmp/makepkg/dune-grid-git/src/dune-grid -std=c++17 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -fPIC -pthread -std=gnu++17 -MD -MT CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o -MF CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o.d -o CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o -c /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc
/usr/sbin/g++ -DALBERTA_DIM=3 -DENABLE_ALBERTA=1 -DENABLE_MPI=1 -DHAVE_CONFIG_H -DModelP -Ddunealbertagrid3d_EXPORTS -I/tmp/makepkg/dune-grid-git/src/build-cmake -I/tmp/makepkg/dune-grid-git/src/dune-grid -std=c++17 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -fPIC -pthread -std=gnu++17 -MD -MT CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o -MF CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o.d -o CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o -c /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:121: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:135: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:93: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:135: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/meshpointer.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:135: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/meshpointer.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:121: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:93: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.hh:14,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/macrodata.cc:17:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:121: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/macrodata.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:107: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/geometrycache.hh:6,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.hh:15,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/elementinfo.cc:12:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:79: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:93: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/elementinfo.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid1d.dir/build.make:107: CMakeFiles/dunealbertagrid1d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2288: CMakeFiles/dunealbertagrid1d.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/misc.hh:13,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.hh:16,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/indexsets.cc:7:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:107: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/indexsets.cc.o] Error 1
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid3d.dir/build.make:79: CMakeFiles/dunealbertagrid3d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2340: CMakeFiles/dunealbertagrid3d.dir/all] Error 2
In file included from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/albertaheader.hh:57,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/agrid.hh:35,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid.hh:5,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.hh:8,
                 from /tmp/makepkg/dune-grid-git/src/dune-grid/dune/grid/albertagrid/dgfparser.cc:10:
/usr/include/alberta/alberta.h:51:10: fatal error: alberta_util.h: No such file or directory
   51 | #include <alberta_util.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [CMakeFiles/dunealbertagrid2d.dir/build.make:79: CMakeFiles/dunealbertagrid2d.dir/dune/grid/albertagrid/dgfparser.cc.o] Error 1
make[2]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make[1]: *** [CMakeFiles/Makefile2:2314: CMakeFiles/dunealbertagrid2d.dir/all] Error 2
make[1]: Leaving directory '/tmp/makepkg/dune-grid-git/src/build-cmake'
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
```

We did a mistake marking good as bad.

```console
➜  alberta git:(de6d375) git bisect good
ad0903d9fc88d023d5e68f09929a0a63d2e08dd3 is the first bad commit
commit ad0903d9fc88d023d5e68f09929a0a63d2e08dd3
Author: Christoph Grüninger <foss@grueninger.de>
Date:   Sun Apr 3 16:01:57 2022 +0200

    [ci] Add openSuse, Debian 12, Ubuntu to ci

 .gitlab-ci.yml | 67 +++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 55 insertions(+), 12 deletions(-)
```